Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::conversion::Word2PDFSettingData Class Reference

Inherits Object.

## Public Types
enum | ConvertBookmarkOption { e_ConvertBookmarkOptionNone = 0, e_ConvertBookmarkOptionUseHeadings = 1, e_ConvertBookmarkOptionUseWordBookmark = 2 }
| Enumeration for bookmark option for for converting Word to PDF. More...
enum | ConvertContentOption { e_ConvertContentOptionOnlyContent = 0, e_ConvertContentOptionWithMarkup = 1 }
| Enumeration for content option which specifies how much content of Word document is to be converted to PDF document. More...
enum | ConvertOptimizeOption { e_ConvertOptimizeOptionForPrint = 0, e_ConvertOptimizeOptionForOnScreen = 1 }
| Enumeration for optimize option (which specifies resolution and quality) for converting Word to PDF. More...

## Public Member Functions
| Word2PDFSettingData ()
| Constructor.
| Word2PDFSettingData (bool include_doc_props, ConvertOptimizeOption optimize_option, ConvertContentOption content_option, ConvertBookmarkOption bookmark_option, bool convert_to_pdfa, bool disable_vba_code)
| Constructor, with parameters. More...
Word2PDFSettingData & | operator= (const Word2PDFSettingData &data)
| Assign operator. More...
void | Set (bool include_doc_props, ConvertOptimizeOption optimize_option, ConvertContentOption content_option, ConvertBookmarkOption bookmark_option, bool convert_to_pdfa, bool disable_vba_code)
| Set value. More...

## Public Attributes
ConvertBookmarkOption | bookmark_option
| Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from Word2PDFSettingData::e_ConvertBookmarkOptionNone and this should be one of these values.
ConvertContentOption | content_option
| Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from Word2PDFSettingData::e_ConvertContentOptionOnlyContent and this should be one of these values.
bool | convert_to_pdfa
| (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false. More...
bool | disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the Word document. More...
bool | include_doc_props
| A boolean value which indicates whether to include Word document properties in the converted PDF document. More...
ConvertOptimizeOption | optimize_option
| Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from Word2PDFSettingData::e_ConvertOptimizeOptionForPrint and this should be one of these values.

## Detailed Description

This class represents setting data used for converting Word to PDF.

## Member Enumeration Documentation

## ◆ ConvertBookmarkOption

enum foxit::addon::conversion::Word2PDFSettingData::ConvertBookmarkOption

Enumeration for bookmark option for for converting Word to PDF.

Values of this enumeration should be used alone.

Enumerator
e_ConvertBookmarkOptionNone | Do not create bookmark in converted PDF file.
e_ConvertBookmarkOptionUseHeadings | Create bookmarks in converted PDF file by using each heading of Word document. Here, "Word heading" includes only headings within the main document and text boxes not within headers, footers, endnotes, footnotes, or comments.
e_ConvertBookmarkOptionUseWordBookmark | Create bookmarks in converted PDF file by using each bookmarks of Word document. Here, "Word bookmark" includes all bookmarks except those contained within headers and footers.

## ◆ ConvertContentOption

enum foxit::addon::conversion::Word2PDFSettingData::ConvertContentOption

Enumeration for content option which specifies how much content of Word document is to be converted to PDF document.

Values of this enumeration should be used alone.

Enumerator
e_ConvertContentOptionOnlyContent | Convert Word document without markup.
e_ConvertContentOptionWithMarkup | Convert Word document with markup.

## ◆ ConvertOptimizeOption

enum foxit::addon::conversion::Word2PDFSettingData::ConvertOptimizeOption

Enumeration for optimize option (which specifies resolution and quality) for converting Word to PDF.

Values of this enumeration should be used alone.

Enumerator
e_ConvertOptimizeOptionForPrint | Optimize option: convert for print, which is higher quality and results in a larger file size.
e_ConvertOptimizeOptionForOnScreen | Optimize option: convert for screen, which is a lower quality and results in a smaller file size.

## Constructor & Destructor Documentation

## ◆ Word2PDFSettingData()

foxit::addon::conversion::Word2PDFSettingData::Word2PDFSettingData | ( | bool | include_doc_props,
|  | ConvertOptimizeOption | optimize_option,
|  | ConvertContentOption | content_option,
|  | ConvertBookmarkOption | bookmark_option,
|  | bool | convert_to_pdfa,
|  | bool | disable_vba_code
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from Word2PDFSettingData::e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from Word2PDFSettingData::e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from Word2PDFSettingData::e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

## Member Function Documentation

## ◆ operator=()

Word2PDFSettingData& foxit::addon::conversion::Word2PDFSettingData::operator= | ( | const Word2PDFSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another Word-to-PDF setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::addon::conversion::Word2PDFSettingData::Set | ( | bool | include_doc_props,
|  | ConvertOptimizeOption | optimize_option,
|  | ConvertContentOption | content_option,
|  | ConvertBookmarkOption | bookmark_option,
|  | bool | convert_to_pdfa,
|  | bool | disable_vba_code
| ) |  |
| inline

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from Word2PDFSettingData::e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from Word2PDFSettingData::e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from Word2PDFSettingData::e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

Returns
  None.

## Member Data Documentation

## ◆ convert_to_pdfa

bool foxit::addon::conversion::Word2PDFSettingData::convert_to_pdfa

(Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

true means to convert Word document to a PDF/A file.
false means to convert Word document to a common file.

## ◆ disable_vba_code

bool foxit::addon::conversion::Word2PDFSettingData::disable_vba_code

A boolean value decide whether to disable the execution of vba code in the Word document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ include_doc_props

bool foxit::addon::conversion::Word2PDFSettingData::include_doc_props

A boolean value which indicates whether to include Word document properties in the converted PDF document.

true means to include Word document properties in the converted PDF document.
false means not to include Word document properties in the converted PDF document.